# ===========================================================================
#
# two_turbine.py
#
# Jensen wake 2 Turbines
# CBP 02-12-21
#STATUS: rELEASE
#
# ===========================================================================

import matplotlib.pyplot as plt
import floris.tools as wfct

# get farm layout and turbine params
fi = wfct.floris_interface.FlorisInterface("./jsons/jensen_2Inline.json")

# Calculate wake
fi.calculate_wake()

# get individual turbine power output
powers = fi.get_turbine_power()
print(" ----------------- ")
for i in range(len(powers)):
    print("Turbine %d power = %.2e    ( = %.1f )" % (i,powers[i],powers[i]))

#calculate total power
power = fi.get_farm_power()

print(" ----------------- ")
print("Total Power = %.2e   ( = %.1f )" % (power , power))
print(" ----------------- ")

# Get horizontal plane at default height (hub-height)
hor_plane = fi.get_hor_plane()
      
# Plot and show
fig, ax = plt.subplots()
wfct.visualization.visualize_cut_plane(hor_plane, ax=ax)
plt.show()
